Bug 1255998 - bleachbit $'\nLauncher\n': command not found
bleachbit $'\nLauncher\n': command not found
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bleachbit (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-22 20:32 EDT by idviare
Modified: 2015-10-28 07:03 EDT (History)
1 user (show)

See Also:
Fixed In Version: bleachbit-1.9.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 07:03:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description idviare 2015-08-22 20:32:38 EDT
Description of problem:
If you try to launch bleachbit from terminal or graphical, the only result is the python console.

Version-Release number of selected component (if applicable):
bleachbit-1.8-1.fc23.noarch

How reproducible:


Steps to Reproduce:
1. launch bleachbit as normal user o root
2. the program via graphical never open and just appear the mouse "+"
3. if you launch this via terminal the python console is open.

Actual results:
[idviare@new-host-5 ~]$ rpm -qa |grep -i bleachbit
bleachbit-1.8-1.fc23.noarch
[idviare@new-host-5 ~]$ su 
Password: 
[root@new-host-5 idviare]# bleachbit --help
Python 2.7.10 (default, Jun 29 2015, 16:02:04) 
[GCC 5.1.1 20150618 (Red Hat 5.1.1-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> 
/usr/bin/bleachbit: line 24: $'\nLauncher\n': command not found
/usr/bin/bleachbit: line 34: syntax error near unexpected token `('
/usr/bin/bleachbit: line 34: `if 'posix' == os.name and os.path.isdir('/usr/share/bleachbit'):'
[root@new-host-5 idviare]# bleachbit
Python 2.7.10 (default, Jun 29 2015, 16:02:04) 
[GCC 5.1.1 20150618 (Red Hat 5.1.1-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> 
/usr/bin/bleachbit: line 24: $'\nLauncher\n': command not found

/usr/bin/bleachbit: line 34: syntax error near unexpected token `('
/usr/bin/bleachbit: line 34: `if 'posix' == os.name and os.path.isdir('/usr/share/bleachbit'):'
[root@new-host-5 idviare]#
Comment 1 Christopher Meng 2015-08-23 01:30:34 EDT
Sorry, I forgot to push the update to f23. This was already fixed.
Comment 2 idviare 2015-08-23 03:08:59 EDT
(In reply to Christopher Meng from comment #1)
> Sorry, I forgot to push the update to f23. This was already fixed.

Thanks for the quick reply Chris, i've update bleachbit to 1.9 and now work fine. also i give karma +1 in bodhi, but the output give me two warnings, i'm not sure if this is important but the anyway i will leave here the terminal output.

regards.


Additional info:
[root@new-host-5 idviare]# dnf install https://kojipkgs.fedoraproject.org//packages/bleachbit/1.9.0/1.fc23/noarch/bleachbit-1.9.0-1.fc23.noarch.rpm -y
Last metadata expiration check performed 0:54:38 ago on Sun Aug 23 03:07:18 2015.
Dependencies resolved.
================================================================================
 Package          Arch          Version               Repository           Size
================================================================================
Upgrading:
 bleachbit        noarch        1.9.0-1.fc23          @commandline        407 k

Transaction Summary
================================================================================
Upgrade  1 Package

Total size: 407 k
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Upgrading   : bleachbit-1.9.0-1.fc23.noarch                               1/2 
  Cleanup     : bleachbit-1.8-1.fc23.noarch                                 2/2 
  Verifying   : bleachbit-1.9.0-1.fc23.noarch                               1/2 
  Verifying   : bleachbit-1.8-1.fc23.noarch                                 2/2 

Upgraded:
  bleachbit.noarch 1.9.0-1.fc23                                                 

Complete!
[root@new-host-5 idviare]# bleachbit
debug: makedirs(/root/.config/bleachbit)
info: automatically preserving language 'en'
/usr/share/bleachbit/Unix.py:45: ImportWarning: Not importing directory '/usr/lib64/python2.7/site-packages/gtk-2.0/gnome': missing __init__.py
  import gnome.vfs
/usr/share/bleachbit/Unix.py:45: ImportWarning: Not importing directory '/usr/share/gnome': missing __init__.py
  import gnome.vfs
info: automatically hiding cleaner 'adobe_reader'
info: automatically hiding cleaner 'amsn'
info: automatically hiding cleaner 'amule'
info: automatically hiding cleaner 'apt'
info: automatically hiding cleaner 'audacious'
info: automatically hiding cleaner 'beagle'
info: automatically hiding cleaner 'chromium'
info: automatically hiding cleaner 'd4x'
info: automatically hiding cleaner 'easytag'
info: automatically hiding cleaner 'elinks'
info: automatically hiding cleaner 'emesene'
info: automatically hiding cleaner 'epiphany'
info: automatically hiding cleaner 'evolution'
info: automatically hiding cleaner 'exaile'
info: automatically hiding cleaner 'filezilla'
info: automatically hiding cleaner 'flash'
info: automatically hiding cleaner 'gedit'
info: automatically hiding cleaner 'gftp'
info: automatically hiding cleaner 'gimp'
info: automatically hiding cleaner 'gl-117'
info: automatically hiding cleaner 'gnome'
info: automatically hiding cleaner 'google_chrome'
info: automatically hiding cleaner 'google_earth'
info: automatically hiding cleaner 'google_toolbar'
info: automatically hiding cleaner 'gpodder'
info: automatically hiding cleaner 'gwenview'
info: automatically hiding cleaner 'hippo_opensim_viewer'
info: automatically hiding cleaner 'java'
info: automatically hiding cleaner 'kde'
info: automatically hiding cleaner 'konqueror'
info: automatically hiding cleaner 'libreoffice'
info: automatically hiding cleaner 'liferea'
info: automatically hiding cleaner 'links2'
info: automatically hiding cleaner 'localizations'
info: automatically hiding cleaner 'midnightcommander'
info: automatically hiding cleaner 'miro'
info: automatically hiding cleaner 'nautilus'
info: automatically hiding cleaner 'nexuiz'
info: automatically hiding cleaner 'octave'
info: automatically hiding cleaner 'openofficeorg'
info: automatically hiding cleaner 'opera'
info: automatically hiding cleaner 'pidgin'
info: automatically hiding cleaner 'realplayer'
info: automatically hiding cleaner 'recoll'
info: automatically hiding cleaner 'rhythmbox'
info: automatically hiding cleaner 'screenlets'
info: automatically hiding cleaner 'seamonkey'
info: automatically hiding cleaner 'secondlife_viewer'
info: automatically hiding cleaner 'skype'
info: automatically hiding cleaner 'sqlite3'
info: automatically hiding cleaner 'thumbnails'
info: automatically hiding cleaner 'thunderbird'
info: automatically hiding cleaner 'transmission'
info: automatically hiding cleaner 'tremulous'
info: automatically hiding cleaner 'vim'
info: automatically hiding cleaner 'vlc'
info: automatically hiding cleaner 'vuze'
info: automatically hiding cleaner 'warzone2100'
info: automatically hiding cleaner 'wine'
info: automatically hiding cleaner 'winetricks'
info: automatically hiding cleaner 'x11'
info: automatically hiding cleaner 'xchat'
info: automatically hiding cleaner 'xine'
[root@new-host-5 idviare]#

Note You need to log in before you can comment on or make changes to this bug.